## capssetter

capssetter

## Properties

GstCaps * | caps | Read / Write
gboolean | join | Read / Write
gboolean | replace | Read / Write

## Types and Values

struct | GstCapsSetter

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstCapsSetter

## Description

Sets or merges caps on a stream's buffers. That is, a buffer's caps are updated using (fields of) “caps”. Note that this may contain multiple structures (though not likely recommended), but each of these must be fixed (or will otherwise be rejected).

If “join” is `TRUE`, then the incoming caps' mime-type is compared to the mime-type(s) of provided caps and only matching structure(s) are considered for updating.

If “replace” is `TRUE`, then any caps update is preceded by clearing existing fields, making provided fields (as a whole) replace incoming ones. Otherwise, no clearing is performed, in which case provided fields are added/merged onto incoming caps

Although this element might mainly serve as debug helper, it can also practically be used to correct a faulty pixel-aspect-ratio, or to modify a yuv fourcc value to effectively swap chroma components or such alike.

## Synopsis

### Element Information

plugin | debug
author | Mark Nauwelaerts <mnauw@users.sourceforge.net>
class | Generic

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstCapsSetter

    struct GstCapsSetter;

## Property Details

### The `“caps”` property

      “caps”                     GstCaps *

Merge these caps (thereby overwriting) in the stream.

Owner: GstCapsSetter

Flags: Read / Write

### The `“join”` property

      “join”                     gboolean

Match incoming caps' mime-type to mime-type of provided caps.

Owner: GstCapsSetter

Flags: Read / Write

Default value: TRUE

### The `“replace”` property

      “replace”                  gboolean

Drop fields of incoming caps.

Owner: GstCapsSetter

Flags: Read / Write

Default value: FALSE